﻿<%@ Page MasterPageFile="~/Site.master" Language="C#" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="LoginNew" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Membership
</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page uses Membership.ValidateUser to validate login credentials, and Membership.CreateUser to create new users
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <table width="100%">
        <tr>
            <td width="50%" valign="top">
                <asp:Panel ID="Panel1" DefaultButton="Button1" Runat="server">
                    Are you a registered user? If so, sign in here.<br /><br />
                    <table>
                        <tr>
                            <td>
                                User name</td>
                            <td>
                                <asp:TextBox ID="UserName" Runat="server" ValidationGroup="Login"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="UserName" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Password</td>
                            <td>
                                <asp:TextBox ID="Password" Runat="server" TextMode="Password" ValidationGroup="Login"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="PasswordRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="Password" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="Button1" Runat="server" Text="Log In" OnClick="Button1_Click" ValidationGroup="Login" />
                                &nbsp;&nbsp;
                                <asp:CheckBox ID="RememberMe" Runat="server" Text="Keep me signed in" />
                            </td>
                        </tr>
                    </table>
                    <i>
                    <br />
                    <asp:Label ID="Label1" Runat="server" ForeColor="Red"></asp:Label></i>
                </asp:Panel>
            </td>
            <td width="1px" valign="top" bgcolor="gainsboro"></td>
            <td width="4px" valign="top"></td>
            <td valign="top">
                <asp:Panel ID="Panel2" DefaultButton="Button2" Runat="server">
                    Not a registered user? Create an account.<br />
                    <br />
                    <table>
                        <tr>
                            <td>
                                User name</td>
                            <td>
                                <asp:TextBox ID="NewUserName" Runat="server" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewUserNameRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewUserName" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Password 1</td>
                            <td>
                                <asp:TextBox ID="NewPassword1" Runat="server" TextMode="Password" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewPassword1RequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewPassword1" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Password 2</td>
                            <td>
                                <asp:TextBox ID="NewPassword2" Runat="server" TextMode="Password" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewPassword2RequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewPassword2" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="NewPasswordCompareValidator" Runat="server" ErrorMessage="*" ControlToValidate="NewPassword2"
                                    Display="Dynamic" ControlToCompare="NewPassword1">
                                </asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                E-mail</td>
                            <td>
                                <asp:TextBox ID="NewEMail" Runat="server" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewEMailRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewEMail" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="NewEMailRegularExpressionValidator" Runat="server"
                                    ErrorMessage="*" ControlToValidate="NewEMail" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
                                </asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Question</td>
                            <td>
                                <asp:TextBox ID="NewQuestion" Runat="server" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewQuestionRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewQuestion" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Answer</td>
                            <td>
                                <asp:TextBox ID="NewAnswer" Runat="server" ValidationGroup="NewUser"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewAnswerRequiredFieldValidator" Runat="server" ErrorMessage="*"
                                    ControlToValidate="NewAnswer" Display="Dynamic">
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="Button2" Runat="server" Text="Register" OnClick="Button2_Click" ValidationGroup="NewUser" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <i><asp:Label ID="Label2" Runat="server" ForeColor="Red"></asp:Label></i>
                </asp:Panel>
            </td>
        </tr>
    </table>    
</asp:Content>