﻿<%@ Page MasterPageFile="~/Site.Master" Language="C#" AutoEventWireup="true" CodeFile="Profiles.aspx.cs" Inherits="ProfilesNew" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Profiles
</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates profiles by persisting your preferred theme and the date and time that you last viewed the page
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <asp:Label ID="Label1" Runat="server" />
    <br /><br />
    <asp:Panel ID="Panel1" Runat="server" GroupingText="Themes">
        <asp:RadioButtonList ID="ThemeList" AutoPostBack="true" RunAt="server">
            <asp:ListItem Text="None" />
            <asp:ListItem Text="BasicBlue" />
            <asp:ListItem Text="SmokeAndGlass" />
            <asp:ListItem Text="ShockingPink" />
        </asp:RadioButtonList>
    </asp:Panel><br />
    <table width="100%"><tr><td>
    <asp:SqlDataSource ID="SqlDataSource1" Runat="server" SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title] FROM [Employees]" ConnectionString="<%$ ConnectionStrings:Northwind %>">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" Runat="server" SelectCommand="SELECT [LastName], [FirstName], [Title], [BirthDate], [HireDate], [Country], [Photo], [Notes] FROM [Employees] WHERE ([EmployeeID] = @EmployeeID)" ConnectionString="<%$ ConnectionStrings:Northwind %>">
        <SelectParameters>
            <asp:ControlParameter Name="EmployeeID" Type="Int32" ControlID="GridView1" PropertyName="SelectedValue"></asp:ControlParameter>
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" Runat="server" DataSourceID="SqlDataSource1" DataKeyNames="EmployeeID" AutoGenerateColumns="False" Width="100%" AllowSorting="True" AutoGenerateSelectButton="True">
        <Columns>
            <asp:BoundField ReadOnly="True" HeaderText="Employee ID" InsertVisible="False" DataField="EmployeeID"
                SortExpression="EmployeeID"></asp:BoundField>
            <asp:BoundField HeaderText="Last Name" DataField="LastName" SortExpression="LastName"></asp:BoundField>
            <asp:BoundField HeaderText="First Name" DataField="FirstName" SortExpression="FirstName"></asp:BoundField>
            <asp:BoundField HeaderText="Title" DataField="Title" SortExpression="Title"></asp:BoundField>
        </Columns>
    </asp:GridView>
    </td></tr><tr height="16px"><td></td></tr><tr><td>
    <asp:DetailsView ID="DetailsView1" Runat="server" DataSourceID="SqlDataSource2" AutoGenerateRows="False" Width="100%">
        <Fields>
            <asp:TemplateField HeaderText="Name"><ItemTemplate>
                <%# Eval ("firstname") + " " + Eval ("lastname") %>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField HeaderText="Title" DataField="Title"></asp:BoundField>
            <asp:BoundField HeaderText="Birth Date" DataField="BirthDate"></asp:BoundField>
            <asp:BoundField HeaderText="Hire Date" DataField="HireDate"></asp:BoundField>
            <asp:BoundField HeaderText="Country" DataField="Country"></asp:BoundField>
            <asp:BoundField HeaderText="Notes" DataField="Notes"></asp:BoundField>
        </Fields>
    </asp:DetailsView>
    </td></tr></table>
</asp:Content>