﻿<%@ Page MasterPageFile="~/Site.master"  Language="C#" AutoEventWireup="true" CodeFile="SQLDatasource.aspx.cs" Inherits="SQLDatasource_NEW" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Declarative Data Binding</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates declarative data binding using a DropDownList, a DataGrid, and two SqlDataSources</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <asp:SqlDataSource ID="SqlDataSource1" Runat="server"
    ConnectionString="<%$ ConnectionStrings:Northwind %>"
        SelectCommand="SELECT DISTINCT [Country] FROM [Customers]">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" Runat="server"
        ConnectionString="<%$ ConnectionStrings:Northwind %>"
        SelectCommand="SELECT [CustomerID], [CompanyName], [Country] FROM [Customers] WHERE [Country]=@Country">
        <SelectParameters>
            <asp:ControlParameter Name="Country" ControlID="DropDownList1" PropertyName="SelectedValue" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:DropDownList ID="DropDownList1" Runat="server" DataSourceID="SqlDataSource1"
        DataTextField="Country" DataValueField="Country" AutoPostBack="True">
    </asp:DropDownList>
    <br /><br />
    <asp:DataGrid ID="DataGrid1" Runat="server" Width="100%" DataSourceID="SqlDataSource2" BorderWidth="2px" GridLines="None" BorderColor="White" BorderStyle="Ridge" BackColor="White" CellPadding="3" CellSpacing="1">
        <ItemStyle BackColor="#DEDFDE" ForeColor="Black"></ItemStyle>
        <SelectedItemStyle ForeColor="White" Font-Bold="True" BackColor="#9471DE"></SelectedItemStyle>
        <HeaderStyle ForeColor="#E7E7FF" Font-Bold="True" BackColor="#4A3C8C"></HeaderStyle>
        <PagerStyle BackColor="#C6C3C6" HorizontalAlign="Right" ForeColor="Black"></PagerStyle>
        <FooterStyle BackColor="#C6C3C6" ForeColor="Black"></FooterStyle>
    </asp:DataGrid></asp:Content>