﻿<%@ Page  MasterPageFile="~/Site.master" Language="C#" AutoEventWireup="true" CodeFile="ValidationGroups1.aspx.cs" Inherits="ValidationGroups1New" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Validation Groups 1
</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates the problem posed by the lack of validation groups
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <h2>New Users</h2>
    <table>
        <tr>
            <td style="width: 100px; height: 14px">
                User Name</td>
            <td style="width: 100px; height: 14px">
                <asp:TextBox ID="NewUserName" Runat="server"></asp:TextBox>
            </td>
            <td style="width: 100px; height: 14px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewUserName">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px; height: 5px">
                Password 1</td>
            <td style="width: 100px; height: 5px">
                <asp:TextBox ID="NewPassword1" Runat="server" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 100px; height: 5px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword1">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator2" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword1" ValidationExpression="[a-zA-Z0-9]{8,}">
                </asp:RegularExpressionValidator>&nbsp;
            </td>
        </tr>
        <tr>
            <td style="width: 100px;">
                Password 2</td>
            <td style="width: 100px;">
                <asp:TextBox ID="NewPassword2" Runat="server" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword2">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator3" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword2" ValidationExpression="[a-zA-Z0-9]{8,}">
                </asp:RegularExpressionValidator>
                <asp:CompareValidator ID="CompareValidator2" Runat="server" ErrorMessage="*" Display="Dynamic"
                    ControlToValidate="NewPassword2" ControlToCompare="NewPassword1">
                </asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px;">
                E-Mail</td>
            <td style="width: 100px;">
                <asp:TextBox ID="NewEMail" Runat="server"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewEMail">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator4" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewEMail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px; height: 2px">
            </td>
            <td style="width: 100px; height: 2px">
                <asp:Button ID="Button1" Runat="server" Text="Submit" OnClick="Button1_Click" />
            </td>
            <td style="width: 100px; height: 2px">
            </td>
        </tr>
    </table>
    <h3><asp:Label ID="Label1" Runat="server"></asp:Label></h3>
    <hr />
    <h2>Existing Users</h2>
    <table>
        <tr>
            <td style="width: 100px">
                User Name</td>
            <td style="width: 100px">
                <asp:TextBox ID="ExistingUserName" Runat="server"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="ExistingUserName">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
                Password</td>
            <td style="width: 100px">
                <asp:TextBox ID="ExistingPassword" Runat="server" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="ExistingPassword">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator6" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="ExistingPassword" ValidationExpression="[a-zA-Z0-9]{8,}">
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
            </td>
            <td style="width: 100px">
                <asp:Button ID="Button2" Runat="server" Text="Submit" OnClick="Button2_Click" />
            </td>
            <td style="width: 100px">
            </td>
        </tr>
    </table>
    <h3><asp:Label ID="Label2" Runat="server"></asp:Label></h3>
</asp:Content>