﻿<%@ Page MasterPageFile="~/Site.master" Language="C#" AutoEventWireup="true" CodeFile="ValidationGroups2.aspx.cs" Inherits="ValidationGroups2New" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Validation Groups 2
</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates how to use validation groups to compartmentalize validation controls
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <h2>New Users</h2>
    <table>
        <tr>
            <td style="width: 100px; height: 14px">
                User Name</td>
            <td style="width: 100px; height: 14px">
                <asp:TextBox ID="NewUserName" Runat="server"></asp:TextBox>
            </td>
            <td style="width: 100px; height: 14px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewUserName" ValidationGroup="NewUsers">
                </asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px; height: 5px">
                Password 1</td>
            <td style="width: 100px; height: 5px">
                <asp:TextBox ID="NewPassword1" Runat="server" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 100px; height: 5px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword1" ValidationGroup="NewUsers">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator2" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword1" ValidationExpression="[a-zA-Z0-9]{8,}" ValidationGroup="NewUsers">
                </asp:RegularExpressionValidator>&nbsp;
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
                Password 2</td>
            <td style="width: 100px">
                <asp:TextBox ID="NewPassword2" Runat="server" TextMode="Password"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword2" ValidationGroup="NewUsers">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator3" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewPassword2" ValidationExpression="[a-zA-Z0-9]{8,}" ValidationGroup="NewUsers">
                </asp:RegularExpressionValidator>
                <asp:CompareValidator ID="CompareValidator2" Runat="server" ErrorMessage="*" Display="Dynamic"
                    ControlToValidate="NewPassword2" ControlToCompare="NewPassword1" ValidationGroup="NewUsers">
                </asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
                E-Mail</td>
            <td style="width: 100px">
                <asp:TextBox ID="NewEMail" Runat="server"></asp:TextBox>
            </td>
            <td style="width: 100px">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewEMail" ValidationGroup="NewUsers">
                </asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator4" Runat="server" ErrorMessage="*"
                    Display="Dynamic" ControlToValidate="NewEMail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ValidationGroup="NewUsers">
                </asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 100px; height: 2px">
            </td>
            <td style="width: 100px; height: 2px">
                <asp:Button ID="Button1" OnClick="Button1_Click" Runat="server" Text="Submit" ValidationGroup="NewUsers" />
            </td>
            <td style="width: 100px; height: 2px">
            </td>
        </tr>
    </table>
    <h3><asp:Label ID="Label1" Runat="server"></asp:Label></h3>
    <hr />
    <h2>Existing Users</h2>
        <table>
            <tr>
                <td style="width: 100px">
                    User Name</td>
                <td style="width: 100px">
                    <asp:TextBox ID="ExistingUserName" Runat="server"></asp:TextBox>
                </td>
                <td style="width: 100px">
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator5" Runat="server" ErrorMessage="*"
                        Display="Dynamic" ControlToValidate="ExistingUserName" ValidationGroup="ExistingUsers">
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 100px">
                    Password</td>
                <td style="width: 100px">
                    <asp:TextBox ID="ExistingPassword" Runat="server" TextMode="Password"></asp:TextBox>
                </td>
                <td style="width: 100px">
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" Runat="server" ErrorMessage="*"
                        Display="Dynamic" ControlToValidate="ExistingPassword" ValidationGroup="ExistingUsers">
                    </asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator6" Runat="server" ErrorMessage="*"
                        Display="Dynamic" ControlToValidate="ExistingPassword" ValidationExpression="[a-zA-Z0-9]{8,}" ValidationGroup="ExistingUsers">
                    </asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 100px">
                </td>
                <td style="width: 100px">
                    <asp:Button ID="Button2" OnClick="Button2_Click" Runat="server" Text="Submit" ValidationGroup="ExistingUsers" />
                </td>
                <td style="width: 100px">
                </td>
            </tr>
        </table>
    <h3><asp:Label ID="Label2" Runat="server"></asp:Label></h3>
</asp:Content>