using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebPartsNew : System.Web.UI.Page
{
	protected void LinkButton1_Click(object sender, EventArgs e)
	{
		if (WebPartManager1.DisplayMode == WebPartManager.BrowseDisplayMode)
			WebPartManager1.DisplayMode = WebPartManager.CatalogDisplayMode;
		else
			WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
	}

	protected void LinkButton2_Click(object sender, EventArgs e)
	{
		if (WebPartManager1.DisplayMode == WebPartManager.BrowseDisplayMode)
			WebPartManager1.DisplayMode = WebPartManager.EditDisplayMode;
		else
			WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
	}

	protected void LinkButton3_Click(object sender, EventArgs e)
	{
		if (WebPartManager1.DisplayMode == WebPartManager.BrowseDisplayMode)
			WebPartManager1.DisplayMode = WebPartManager.ConnectDisplayMode;
		else
			WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
	}

	protected void WebPartManager1_DisplayModeChanged(object sender, WebPartDisplayModeEventArgs e)
	{
		if (WebPartManager1.DisplayMode == WebPartManager.BrowseDisplayMode)
		{
			LinkButton1.Visible = true;
			LinkButton1.Text = "Edit page layout";
			Label1.Visible = true;
			LinkButton2.Visible = true;
			LinkButton2.Text = "Edit Web Part properties";
		}
		else if (WebPartManager1.DisplayMode == WebPartManager.CatalogDisplayMode)
		{
			LinkButton1.Visible = true;
			LinkButton1.Text = "End layout editing";
			Label1.Visible = false;
			LinkButton2.Visible = false;
		}
		else if (WebPartManager1.DisplayMode == WebPartManager.EditDisplayMode)
		{
			LinkButton1.Visible = false;
			Label1.Visible = false;
			LinkButton2.Visible = true;
			LinkButton2.Text = "End property editing";
		}
	}
}
