using System;
using System.Web.UI;

public partial class CallBackEventHandler_cs : System.Web.UI.Page, ICallbackEventHandler
{
    private void Page_Load(object source, EventArgs e)
    {
        String callBack = Page.ClientScript.GetCallbackEventReference(this, "arg", "ClientCallback", "context", "ClientCallbackError", false);
        String clientFunction = "function GetChildren(arg, context){ " + callBack + "; }";
        Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "GetChildren", clientFunction, true);

        if (Page.IsPostBack && !Page.IsCallback)
        {
            Label1.Text = "You Selected: " + Request.Form["ParentDropDown"] + ": " + Request.Form["ChildDropDown"];
        }
    }

    public string RaiseCallbackEvent(string eventArgument)
    {
        switch (eventArgument)
        {
            case "Item 1":
                return "One|Two|Three";
            case "Item 2":
                return "Four|Five|Six";
            case "Item 3":
                return "Seven|Eight|Nine";
            default:
                return "";
        }
    }
}

