using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class NewsNew : System.Web.UI.UserControl
{
	void Page_Load(object sender, EventArgs e)
	{
		DataSet ds = new DataSet();
		ds.ReadXml(Server.MapPath("~/App_Data/GlobalNews.xml"));
		Repeater1.DataSource = ds;
		Repeater1.DataBind();
	}

	[ConnectionConsumer("Zip Code", "ZipCodeConsumer")]
	public void GetIZipCodeInterface(IZipCode provider)
	{
		string zip = provider.GetZipCode();
		if (!String.IsNullOrEmpty(zip))
		{
			if (zip.StartsWith("378"))
				Headline.Text = "Oak Ridge News";
			else if (zip.StartsWith("379"))
				Headline.Text = "Knoxville News";
			else if (zip.StartsWith("980"))
				Headline.Text = "Redmond News";
			else
				Headline.Text = "Local News";
		}
	}
}
