using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;

public partial class WeatherNew : System.Web.UI.UserControl, IZipCode 
{
	string _zip = String.Empty;

	[Personalizable]
	public string ZipCode
	{
		get { return _zip; }
		set { _zip = value; }
	}

	void Page_Load(Object sender, EventArgs e)
	{
		if (!IsPostBack)
			Zip.Text = _zip;
	}

	protected void Button1_Click(object sender, EventArgs e)
	{
		string zip = Zip.Text;
		if (zip.Length == 5 && Regex.IsMatch(zip, @"^\d{5}$"))
			_zip = zip;
		else
			Zip.Text = String.Empty;
	}

	[ConnectionProvider("Zip Code", "ZipCodeProvider")]
	public IZipCode GetZipCodeInterface()
	{
	    return (IZipCode)this;
	}

	public string GetZipCode()
	{
		return _zip;
	}
}
